Issue 41011 - Search within OOo files
Summary: Search within OOo files
Status: UNCONFIRMED
Alias: None
Product: App Dev
Classification: Unclassified
Component: api (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P3 Trivial
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL: http://homepages.paradise.net.nz/hill...
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-20 06:53 UTC by iannz
Modified: 2013-07-30 02:19 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
A pkgchk file containing the python code, BASIC library and xcu file. (10.60 KB, application/x-compressed)
2005-01-20 06:55 UTC, iannz
no flags Details
Updated macro as per previous message (10.99 KB, application/x-compressed)
2005-01-24 23:13 UTC, iannz
no flags Details
Installation and User Guide for Iannz Find Files (79.96 KB, application/vnd.sun.xml.writer)
2005-01-24 23:15 UTC, iannz
no flags Details
Minor change which allows it to work in 1.9.74. Also see issue 3866. (11.00 KB, application/x-compressed)
2005-01-31 10:32 UTC, iannz
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description iannz 2005-01-20 06:53:03 UTC
I have cobbled together a macro for searching within OOo files. I am putting it
here as well as on my web page. I am hoping that this will be a good place to
work for collaborative development of OOo components (macros).
Comment 1 iannz 2005-01-20 06:55:06 UTC
Created attachment 21703 [details]
A pkgchk file containing the python code, BASIC library and xcu file.
Comment 2 stephan.wunderlich 2005-01-20 09:25:51 UTC
mmmm and what do I do with this issue now ?
Comment 3 iannz 2005-01-20 21:47:07 UTC
Good question "what to do with this issue now". On the mailing lists it was
suggested to me that using Issue Tracker would be a good way to experiment with
collaborative development of OOo components (macros). So this is my first
experiment. If people use this issue for collaborative development of the
component or say that it is a waste of time as there are other better solutions
then I would judge the experiment a success. If it is a success then I will post
similar issues for my other macros.

The next macro that I am working on is macro that helps users select macros to
install/update and installs them (this aimed for OOo 2.0 and the new package
management).

If the macro for helping users select and install a macro is successfully
implemented then it would be good if it could be included in the standard
distributions.

So what to do with it now? Possibly have a look and suggest changes or say that
it is not worth persuing. Wait and see what other people have to say.
Thanks sw for taking the time to respond to the issue.

Thanks - Ian
Comment 4 noelson 2005-01-21 04:06:30 UTC
I made an user install and I haven't tested a shared install.
It's working fine and fast with OOo 1.1.3 / XPp.

What about ?
- install.txt
- Close CommandButton
- "Clean" resulting URLs
- A kind of config file to remember last paths and settings

If I open some file ( double click ) and then close Find Dialog the icon that 
shows to me a running macro stay red, is this correct ?

I know a very good python tool (look.py by Daniel Naber) to search OOo files, 
but it's not integrated with OOo and I had to install Python for that.

Sorry my english and ...
Congratulations !
Comment 5 stephan.wunderlich 2005-01-21 09:19:07 UTC
changing owner
Comment 6 iannz 2005-01-24 23:12:15 UTC
noelson Thu Jan 20 20:06:30 -0800 2005 wrote:

What about ?
- install.txt
- Close CommandButton
- "Clean" resulting URLs
- A kind of config file to remember last paths and settings

I will be attaching a document to this issue which is an installation and user
guide.
I have added a Close CommandButton.
The filenames are now displayed without the leading directories upto the point
specified for the search criteria.
The macro now "remembers" the settings last used within an OOo session but are
lost between sessions.

I have fixed some other bugs (the events for the date controls).
Changed the xcu file so that the menu path is now Add-ons > Iannz > Find Files.

Thanks, Ian
Comment 7 iannz 2005-01-24 23:13:48 UTC
Created attachment 21842 [details]
Updated macro as per previous message
Comment 8 iannz 2005-01-24 23:15:15 UTC
Created attachment 21843 [details]
Installation and User Guide for Iannz Find Files
Comment 9 iannz 2005-01-24 23:23:04 UTC
I haven't tested a shared install.

The reason I initially said "cobbled together" is because very little of the
work is actually mine:

The Python component is close to a copy of part of Daniel Naber's loook.py
available from http://www.danielnaber.de/loook/
I have used concepts developed by Danny Brewer.
I started with Andrew Brown's Find File routine.
I have copied and hacked (in this case I use "hacked" in the sense that my
coding changes are not elegant) routines in the tools library in the standard
OOo distribution.
Comment 10 iannz 2005-01-31 10:32:52 UTC
Created attachment 22028 [details]
Minor change which allows it to work in 1.9.74. Also see issue 3866.
Comment 11 ace_dent 2008-05-16 02:11:25 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 12 Unknown 2010-05-02 10:08:48 UTC
mmmm and what do I do with this issue now ?
Comment 13 Rob Weir 2013-07-30 02:19:39 UTC
Reset assignee on issues not touched by assignee in more than 2000 days.